GuidesAPI GuideChangelog
Log In
API Guide

Create Rewards in a Clip

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

When calling that API, it will act as a creation/modification.

  • It acts as a reward create on the initial call to the clip.
  • If a reward already exists in the same clip, it will act as modify.

The conditions for generating a reward are as follows.

  1. The status of the clip must be 'private'.
  2. The clip should have no history of going public after the reward is registered.

When registering postbackEndpointUrl, you will be asked as follows.

await axios.post(
	postbackEndpointUrl, // Postback end point
	{ // Body data
		identifier: "User-specific identifier values",
		type: "Reward type"
	}
);

When registering clickValidationUrl, request it as follows.

await axios.post(
	clickValidationUrl, // Click Validation Endpoint
	{ // Body Data
		identifier: "User-specific identifier values",
		IDFA: "IDFA value",
		ADID: "ADID value"
	}
);

After the reward is generated, the API for registering or achieving the user for the reward is [Register and achieve the reward for the reward user]

Body Params
clipIds
array of int32s
required

List of clipId to which to grant a reward

clipIds*
string
enum
required

Reward Type (time, Click, Mixed)

Allowed:
boolean
required
Defaults to false

Whether or not to release a clip when you run out of rewards

int32

Total Rewards amount

int32

Reward attainment time, seconds

int32
required

Rewards Payment Amount

string
required

Rewards Payment Unit

string

URL to postback when you achieve the reward

string

URL if click validation is required

Headers
string
required

Authentication token

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
🏠 소스라이브 🎬 소스클립 🔗 소스링크 📢 소스애드
🧩 API 가이드
🆕 최근 업데이트
💬 도움이 더 필요하신가요?
메일로 문의 카카오톡 채널로 문의
담당자에게 문의하기

궁금한 점이나 불편했던 점을 남겨주시면 담당자가 확인 후 답변드릴게요.

가이드 챗봇
* AI를 활용해 답변해서 사실과 다를 수도 있어요. 더 궁금한 사항은 '담당자에게 문의하기'를 이용해주세요.
💡 궁금한 솔루션(예: 라이브, 링크 등)을 함께 적어주시면 더 정확한 답변을 받을 수 있어요.